Subject: Integrated keyboard doesn't work (Lenovo N22)
From: Jack Ridehalgh <[email-masked]>
To: [email-masked]
Date: Mon, 17 Jan 2022 21:36:55 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

Due to the bug mentioned here on the Nix tracker
(https://github.com/NixOS/nixpkgs/issues/143223) and elsewhere it is not
possible to use the integrated keyboard on some Braswell laptops.

Would it be possible to include CONFIG_PINCTRL_CHERRYVIEW=y in the kernel
configuration so the keyboard functions correctly on these machines?
Sadly the kernel module does not work when trying to load via modprobe
and these machines are so low powered it's difficult to compile my own kernel.

Many thanks,
Jack